﻿using System;
using Telerik.XamarinForms.Input;
using Xamarin.Forms;

namespace XFRadCalendar
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();

            this.calendar.NativeControlLoaded += (sender, e) =>
            {
                calendar.TrySetViewMode(CalendarViewMode.Month);
            };

            this.calendar.SelectionChanged += (sender, e) =>
            {
                this.calendar.DisplayDate = (DateTime)e.NewValue;
                calendar.TrySetViewMode(CalendarViewMode.Day);
            };
        }
    }
}
