﻿using Telerik.XamarinForms.Input;
using Telerik.XamarinForms.InputRenderer.Android;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;
using XFRadCalendar.Droid;

[assembly: ExportRenderer(typeof(RadCalendar), typeof(CustomCalendarRenderer))]

namespace XFRadCalendar.Droid
{
    public class CustomCalendarRenderer : CalendarRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<RadCalendar> e)
        {
            base.OnElementChanged(e);
            this.Control.GestureManager.SetDoubleTapToChangeDisplayMode(false);
        }
    }
}